
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-elytron}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.Final-redhat-1

Name:           %{?scl_prefix}wildfly-elytron
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron
Group:          Development/Java

%if %with mead
Source100: wildfly-elytron-1.0.2.Final-redhat-1-scm-sources.zip
Source102: wildfly-elytron-1.0.2.Final-redhat-1-javadoc.jar
Source103: wildfly-elytron-1.0.2.Final-redhat-1-sources.jar
Source104: wildfly-elytron-1.0.2.Final-redhat-1-project-sources.tar.gz
Source105: wildfly-elytron-1.0.2.Final-redhat-1.jar
Source106: wildfly-elytron-1.0.2.Final-redhat-1.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-elytron.git
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
WildFly Security SPIs.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-elytron
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-elytron -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-elytron-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-elytron-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-elytron-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-elytron-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-elytron-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-elytron-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/wildfly-elytron-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-elytron-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-elytron
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%{_javadir}/wildfly-elytron-%{namedversion}.jar
%{_javadir}/wildfly-elytron.jar
%if %with javadoc
%{_javadir}/wildfly-elytron-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-elytron-javadoc.jar
%endif
%{_javadir}/wildfly-elytron-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-elytron-%{namedversion}
%{_javadocdir}/wildfly-elytron
%endif

%changelog
* Fri Nov 20 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final

* Wed Oct 21 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.1-1.Final_redhat_1.1
- 1.0.1.Final

* Thu Aug 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.CR1_redhat_1.1
- Update to 1.0.0.CR1

* Thu Aug 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.CR1_redhat_1.1
- Update to 1.0.0.CR1

* Wed Aug 26 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.Alpha3_redhat_1.1
- Upgrade to 1.0.0.Alpha3-redhat-1

* Thu Jul 30 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha2_redhat_1.1
- release

